html {
	box-sizing: border-box;
	height: 100%;
}
*, *:before, *:after {
	box-sizing: border-box;
}
body { 
	margin: 0;
	color: $base-text-color;
	background: #fff;
	font: #{$base-font-size}/#{$base-line-height} $base-font-family;
	min-width: $base-min-width;
	overflow-y: scroll;
	-webkit-text-size-adjust:100%;
	-ms-text-size-adjust:none;
	height: 100%;
	-webkit-font-smoothing:antialiased;
}
* {max-height: 1000000px;}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
nav,
section,
summary {
	display: block;
}

img {border-style: none;}

a {
	text-decoration: none;
	color: $base-link-color;
	outline: none;

	&:hover {
		text-decoration: none;
		color: $base-link-color-hover;
	}
	
}

input,
textarea,
select {
	font: 100% $base-font-family;
	color: $base-form-text-color;
	vertical-align: middle;
	outline: none;
}

form,
fieldset {
	margin: 0;
	padding: 0;
	border-style: none;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
	border: 0;
	padding: 0;
	outline: none;
}

button,
html input[type="button"],
input[type="reset"],
input[type="submit"] {
	-webkit-appearance: button;
	cursor: pointer; 
	*overflow: visible;
	outline: none;
}

input[type="submit"]:hover,
button:hover {
	cursor: pointer;
}

input[type="text"],
input[type="tel"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
textarea {
	border-radius: 0 !important;
	
	&:focus {
		outline: none;
	}
}

textarea {
	overflow: auto;
	resize: vertical;
	vertical-align: top;
}

input[type="checkbox"],
input[type="radio"] {
	padding: 0; 
}

input[type="search"] {
	-webkit-appearance: textfield;
	box-sizing: content-box;
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
	-webkit-appearance: none;
}

h1, h2, h3, h4, h5, h6 {
	font-family: $base-font-family;
	line-height: 1.2em;
	margin: 0 0 1.2em;
	color: $base-title-color;
}

p {
	margin: 0 0 24px;
}

q {
	quotes: none;
	&:before, &:after {
		content: '';
		content: none;
	}
}

sub,
sup {
	font-size: 75%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

sup {
	top: -0.5em;
}

sub {
	bottom: -0.25em;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

canvas {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}